# 模型水印验证
提供模型训练嵌入白盒水印和从已经嵌入白盒水印的模型中提取水印的功能

## 分支说明
- `master`分支包含公共代码，工具类
- `om`分支在`master`分支基础上添加了对om格式进行黑盒水印验证流程
- `onnx`分支在`master`分支基础上添加了对onnx格式权重文件进行白盒水印验证流程

## 模块打包
```shell
python setup.py sdist
```
项目目录会生成`dist`目录，其中`watermark_codec-1.0.tar.gz`即为发布包
## 安装模块
```shell
pip install watermark_codec-1.0.tar.gz
```