from setuptools import setup, find_packages

setup(
    name="watermark_verify",
    version="1.0",
    description="AI模型模型水印提取验证工具",

    # 你要安装的包，通过 setuptools.find_packages 找到当前目录下有哪些包
    packages=find_packages(),

    # 表明当前模块依赖哪些包，若环境中没有，则会从pypi中下载安装
    install_requires=['onnxruntime', 'opencv-python~=4.9.0.80', 'numpy']

    # install_requires 在安装模块时会自动安装依赖包
    # 而 extras_require 不会，这里仅表示该模块会依赖这些包
    # 但是这些包通常不会使用到，只有当你深度使用模块时，才会用到，这里需要你手动安装
    # extras_require={
    #     'pytorch': ['pytorch>=2.0.0'],
    # }
)
